package com.house365.ws.util;

import java.io.Serializable;
import java.util.List;

/**
 * <p>Title: 用户积分任务完成情况</p>
 * <p>Description: </p>
 * <p>Date: 2017/3/29</p>
 *
 * @author XN
 * @version 1.0
 */
public class UserCreditTaskVO implements Serializable {

    private String user_id;

    //当日签到可获得积分
    private Integer canGetSignCreditToday;

    //明日签到可获得积分
    private Integer canGetSignCreditTomorrow;

    private Integer continueSignTime;

    //积分任务完成情况
    private List<CreditVO> creditList;

    public Integer getContinueSignTime() {
        return continueSignTime;
    }

    public void setContinueSignTime(Integer continueSignTime) {
        this.continueSignTime = continueSignTime;
    }

    public List<CreditVO> getCreditList() {
        return creditList;
    }

    public void setCreditList(List<CreditVO> creditList) {
        this.creditList = creditList;
    }

    public Integer getCanGetSignCreditToday() {
        return canGetSignCreditToday;
    }

    public void setCanGetSignCreditToday(Integer canGetSignCreditToday) {
        this.canGetSignCreditToday = canGetSignCreditToday;
    }

    public Integer getCanGetSignCreditTomorrow() {
        return canGetSignCreditTomorrow;
    }

    public void setCanGetSignCreditTomorrow(Integer canGetSignCreditTomorrow) {
        this.canGetSignCreditTomorrow = canGetSignCreditTomorrow;
    }

    public class CreditVO implements Serializable {

        private Integer rule_id;

        private String rule_name;

        private Integer credits;

        /**
         * 计数周期(0:不限
         */
        private Integer countCircle;

        /**
         * 周期内计数上限
         */
        private Integer countLimit;

        private String description;

        //当期完成次数
        private Integer doneTime;

        //1 show 0 disable
        private String display;

        public String getDisplay() {
            return display;
        }

        public void setDisplay(String display) {
            this.display = display;
        }

        public Integer getRule_id() {
            return rule_id;
        }

        public void setRule_id(Integer rule_id) {
            this.rule_id = rule_id;
        }

        public String getRule_name() {
            return rule_name;
        }

        public void setRule_name(String rule_name) {
            this.rule_name = rule_name;
        }

        public Integer getCredits() {
            return credits;
        }

        public void setCredits(Integer credits) {
            this.credits = credits;
        }

        public Integer getCountCircle() {
            return countCircle;
        }

        public void setCountCircle(Integer countCircle) {
            this.countCircle = countCircle;
        }

        public Integer getCountLimit() {
            return countLimit;
        }

        public void setCountLimit(Integer countLimit) {
            this.countLimit = countLimit;
        }

        public String getDescription() {
            return description;
        }

        public void setDescription(String description) {
            this.description = description;
        }

        public Integer getDoneTime() {
            return doneTime;
        }

        public void setDoneTime(Integer doneTime) {
            this.doneTime = doneTime;
        }
    }


    public String getUser_id() {
        return user_id;
    }

    public void setUser_id(String user_id) {
        this.user_id = user_id;
    }
}
